-- SHORTCUTS

vim.g.mapleader = " "

-- jk is escape
vim.keymap.set('i', 'jk', '<Esc>')

-- F2 to save file
vim.keymap.set('n', '<F2>', '<cmd>w<CR>')
vim.keymap.set('i', '<F2>', '<Esc><cmd>w<CR>i')

-- global copy/paste
vim.keymap.set('n', '<leader>y', '"*yy')
vim.keymap.set('n', '<leader>p', '"*p')

-- run make
vim.keymap.set('n', '<leader>m', '<cmd>w<CR><cmd>!make<CR>')

-- follow file in split window
vim.keymap.set('n', '<leader>gf', '<cmd>split<CR>gf<CR>')
vim.keymap.set('n', '<leader>vgf', '<cmd>vertical split<CR>gf<CR>')

-- open terminal in split window
vim.keymap.set('n', '<leader>t', '<cmd>below 10split<CR><cmd>terminal<CR>i')
